org.flexdock.plaf

## Class PropertySet

- java.lang.Object
- - org.flexdock.plaf.PropertySet

- Direct Known Subclasses:
    PainterResource

      public class PropertySet
      extends Object

  Author:
    Christopher Butler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertySet()`
    `PropertySet(int size)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Action` | `getAction(String key)`
    `boolean` | `getBoolean(String key)`
    `Border` | `getBorder(String key)`
    `Color` | `getColor(String key)`
    `Font` | `getFont(String key)`
    `Icon` | `getIcon(String key)`
    `Image` | `getImage(String key)`
    `int` | `getInt(String key)`
    `Integer` | `getInteger(String key)`
    `String` | `getName()`
    `List` | `getNumericKeys()`
    `List` | `getNumericKeys(boolean sort)`
    `Object` | `getProperty(String key)`
    `String` | `getString(String key)`
    `String[]` | `getStrings(String[] keys)`
    `Iterator` | `keys()`
    `protected Class` | `resolveClass(String className)`
    `void` | `setAll(PropertySet set)`
    `void` | `setName(String name)`
    `void` | `setProperty(String key, Object value)`
    `int` | `size()`
    `Class` | `toClass(String key)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertySet

          public PropertySet()

    - #### PropertySet

          public PropertySet(int size)

  - ### Method Detail

    - #### setAll

          public void setAll(PropertySet set)

    - #### setProperty

          public void setProperty(String key,
                         Object value)

    - #### getProperty

          public Object getProperty(String key)

    - #### getColor

          public Color getColor(String key)

    - #### getFont

          public Font getFont(String key)

    - #### getImage

          public Image getImage(String key)

    - #### getIcon

          public Icon getIcon(String key)

    - #### getAction

          public Action getAction(String key)

    - #### getString

          public String getString(String key)

    - #### getBorder

          public Border getBorder(String key)

    - #### getStrings

          public String[] getStrings(String[] keys)

    - #### getInt

          public int getInt(String key)

    - #### getInteger

          public Integer getInteger(String key)

    - #### getBoolean

          public boolean getBoolean(String key)

    - #### keys

          public Iterator keys()

    - #### getName

          public String getName()

      Returns:
        Returns the name.

    - #### setName

          public void setName(String name)

      Parameters:
        `name` - The name to set.

    - #### size

          public int size()

    - #### getNumericKeys

          public List getNumericKeys()

    - #### getNumericKeys

          public List getNumericKeys(boolean sort)

    - #### toClass

          public Class toClass(String key)
                        throws ClassNotFoundException

      Throws:
        `ClassNotFoundException`

    - #### resolveClass

          protected Class resolveClass(String className)
                                throws ClassNotFoundException

      Throws:
        `ClassNotFoundException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`